namespace Modules.Library.Application.Interfaces;

public interface IAnimeUser : IUser
{
    public bool CanCreateTitle();
    public bool CanCreateSeason();
    public bool CanCreateEpisode();

    public bool CanEditTitle();
    public bool CanEditSeason();
    public bool CanEditEpisode();

    public bool CanRemoveTitle();
    public bool CanRemoveSeason();
    public bool CanRemoveEpisode();
}